<? session_start();

  /* Layout arquivo exportado agendamento.txt
  protocolo			(006) exemplo 000666
  data_cadastro 	(010) exemplo 2014-04-05
  hora_cadastro 	(005) exemplo 10:30
  data_agenda 		(010) exemplo 2014-04-05
  hora_agenda 		(005) exemplo 10:30
  cnpj 				(014) exemplo 05728351000137
  empresa_nome 		(100)
  cnae 				(011)
  telefone 			(014) exemplo (31) 3214-6467
  cep 				(008) exemplo 35502037
  endereco			(100) 
  numero 			(020)
  complemento 		(050)
  bairro 			(050)
  cidade			(050)
  uf				(002)
  trabalhador_cpf	(011) 88693180606
  trabalhador_nome	(100)
  responsavel_nome	(100)
  responsavel_tel 	(014)
  responsavel_tip 	(005)
  cod_cancelamento	(006) exemplo 000001
  cod_datas			(006) exemplo 000432
  */

$host  = "feccoemg.com.br";
$user  = "feccoemg"; 
$database_sinsweb = "feccoemg";
//$host  = "localhost";
//$user  = "root";
//$database_sinsweb = "sinsweb";

$senha = "cobol98";

  $diretorio= "/home/httpd/vhosts/sinsweb.com.br/web_users/exporta".DIRECTORY_SEPARATOR;
//  $diretorio= "exporta".DIRECTORY_SEPARATOR;


$conexao_sinsweb = mysql_connect($host, $user, $senha) or die (header("Location:erro.php?txtmensagem="."ERRO NA CONEXAO DO BANCO DE DADOS"));
mysql_select_db($database_sinsweb,$conexao_sinsweb);

  $CNPJ_SYSTEMS='05728351000137';

  $handle = fopen ($diretorio."agendamento.txt", "w+");

$dataInicial=$_GET[data1];
$dataInicial = implode("-",array_reverse(explode("/",$dataInicial))); // O resultado será:  31/04/2010 para 2010-31-04
$dataInicial=$dataInicial.' 00:00';


$dataFinal=$_GET[data2];
$dataFinal = implode("-",array_reverse(explode("/",$dataFinal)));
$dataFinal=$dataFinal.' 23:59';

$sql=("
	select 	distinct(a.codigo) as protocolo, 
	       	substring(a.data_cadastro from 1 for 10) as data_cadastro, substring(a.data_cadastro from 12 for 5) as hora_cadastro,
	       	substring(a.data_hora from 1 for 10) as data_agenda, substring(a.data_hora from 12 for 5) as hora_agenda,
			a.trabalhador_nome, a.trabalhador_cpf, a.responsavel_nome, a.responsavel_telefone, a.responsavel_tipo, a.cod_cancelamento, a.cod_datas_homologacao,
		   	e.cnpj as empresa_cnpj, e.nome as empresa_nome, e.cnae as empresa_cnae, e.telefone as empresa_telefone, e.cep as empresa_cep, e.endereco as empresa_endereco,
		   	e.numero as empresa_numero, e.complemento as empresa_complemento, e.bairro as empresa_bairro, e.cidade as empresa_cidade, e.uf as empresa_uf,
		   	cnae.atividade_principal
	from agendamento a
	inner join empresa e on (a.empresa = e.cnpj)
	inner join cnae on (e.cnae = cnae.cod_cnae)
	where (a.data_hora between '$dataInicial' and '$dataFinal') and (a.trabalhador_nome <> '') and (a.cod_cancelamento = 0)
	order by a.data_hora, a.codigo
");

  $query=mysql_query($sql)
		or die (header("Location:erro.php?txtmensagem="."ERRO NA LEITURA DOS AGENDAMENTOS"));

  if(mysql_num_rows($query)>0)
	{
		while($escrever=mysql_fetch_array($query))
		{
				$protocolo=$escrever[protocolo];
				$data_cadastro=$escrever[data_cadastro];
				$hora_cadastro=$escrever[hora_cadastro];
				$data_agenda=$escrever[data_agenda];
				$hora_agenda=$escrever[hora_agenda];
				$empresa_cnpj=$escrever[empresa_cnpj];
				$empresa_nome=$escrever[empresa_nome];
				$empresa_cnae=$escrever[empresa_cnae];
				$empresa_telefone=$escrever[empresa_telefone];
				$empresa_cep=$escrever[empresa_cep];
				$empresa_cep=preg_replace("/[^0-9]/","", $empresa_cep);
				$empresa_endereco=$escrever[empresa_endereco];
				$empresa_numero=$escrever[empresa_numero];
				$empresa_complemento=$escrever[empresa_complemento];
				$empresa_bairro=$escrever[empresa_bairro];
				$empresa_cidade=$escrever[empresa_cidade];
				$empresa_uf=$escrever[empresa_uf];
				$trabalhador_nome=$escrever[trabalhador_nome];
				$trabalhador_cpf=$escrever[trabalhador_cpf];
				$responsavel_nome=$escrever[responsavel_nome];
				$responsavel_telefone=$escrever[responsavel_telefone];
				$responsavel_tipo=$escrever[responsavel_tipo];
				if ($responsavel_tipo == 'ftip_emp')
				{$responsavel_tipo='empresa';}
				else 
				{$responsavel_tipo='contador';}
				$cod_cancelamento=$escrever[cod_cancelamento];
				$cod_datas_homologacao=$escrever[cod_datas_homologacao];
				
				

				
				$conteudo  =  str_pad("$protocolo",6,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$data_cadastro",10,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$hora_cadastro",5,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$data_agenda",10,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$hora_agenda",5,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$empresa_cnpj",14,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$empresa_nome",100," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_cnae",11," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_telefone",14," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_cep",8,"0",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_endereco",100," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_numero",20," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_complemento",50," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_bairro",50," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_cidade",50," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$empresa_uf",2," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$trabalhador_cpf",11," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$trabalhador_nome",100," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$responsavel_nome",100," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$responsavel_telefone",14," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$responsavel_tipo",10," ",STR_PAD_RIGHT);
				$conteudo .=  str_pad("$cod_cancelamento",6,"0",STR_PAD_LEFT);
				$conteudo .=  str_pad("$cod_datas_homologacao",6,"0",STR_PAD_LEFT);

				$conteudo .= "\r\n"; // quebra de linha se for no windows
//				$conteudo .= "\n"; // quebra de linha se for linux
				fwrite($handle, $conteudo);
				$i++;
		}
	}
	
print('FIM...<br/>');
  
?>
